1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

PHP version NOT 4.3.10!

Discussion in 'Plesk for Linux - 8.x and Older' started by sakshale@, Dec 26, 2004.

  1. sakshale@

    sakshale@ Guest

    0
     
    I've ran the Plesk updater for 7.51, however, PHP does not appear to be updated.

    RPM reports php-4.3.2-psa.rh9.1

    Given: "The PHP Development Team would like to announce the immediate release of PHP 4.3.10 and PHP 5.0.3. These are maintenance releases that in addition to non-critical bug fixes address several very serious security issues. All Users of PHP are strongly encouraged to upgrade to one of these releases as soon as possible."

    This appears to be an issue.
     
  2. lvalics

    lvalics Silver Pleskian Plesk Guru

    36
    43%
    Joined:
    Jun 20, 2003
    Messages:
    960
    Likes Received:
    28
    Location:
    Romania
    PLESK UPDATE will update his own PHP, what use for own running. You need to update for VHOSTS the PHP, using YUM, Up2Date etc services.
     
  3. sakshale@

    sakshale@ Guest

    0
     
    Am I to understand that you believe that we should have two versions of PHP installed on the system? Based on my checking, there is only one version, the psa one...

    # rpm -q php
    php-4.3.2-psa.rh9.1
    #

    Of course the Fedora Core 1 tree is not up2date either. It has version 4.3.8-1.1
    (http://mirrors.kernel.org/fedora.us fedora/fedora/1/i386)
     
  4. lvalics

    lvalics Silver Pleskian Plesk Guru

    36
    43%
    Joined:
    Jun 20, 2003
    Messages:
    960
    Likes Received:
    28
    Location:
    Romania
    Please look for how to use YUM updater. In this way all your packages will be updated.
    Look on the forum for it.
    Also you can see a HOW-TO Setup PLESK whee is explained YUM as well. See http://forum.plesk.com/showthread.php?s=&threadid=19876

    You have 2 Apache, one for PLESK and one for Virtual Hosts, and of course 2 PHP.
     
  5. smtalk

    smtalk Guest

    0
     
    Use "/usr/local/psa/admin/bin/php -v" to see what version of PHP have PLESK.
     
  6. sakshale@

    sakshale@ Guest

    0
     
    ]# /usr/local/psa/admin/bin/php -v
    PHP 4.3.10 (cli) (built: Dec 16 2004 14:39:06)

    Interesting.... Thanks for pointing out that descrepency. I was not aware that they kept their copy separate, but it makes sense from a support point of view.

    I'll update the copy for the server.
     
Loading...